<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.srs.comprehensive.mapper.CphStuScoreMiddlesMapper">


    <select id="CphStuScoreMiddlePages" resultType="java.util.Map">
        select * from V_StudentScore where XH is not null
        <if test="stuNo!=null and stuNo!=''">and XH=#{stuNo}</if>
        order by XH,KCDM
        offset ((${startPage} -1) * ${pageSize}) rows
        fetch next ${pageSize} rows only
    </select>

    <select id="CphStuScoreMiddleCount" resultType="int">
        select count(1) as number from V_StudentScore
        where XH is not null
        <if test="stuNo!=null and stuNo!=''">and XH=#{stuNo}</if>
    </select>
</mapper>